osmo_stat_item_group_desc Struct Reference
Statistics value item

Description of a statistics item group. More...

`#include <stat_item.h>`

## Data Fields

const char * | group_name_prefix
| The prefix to the name of all values in this group. More...
const char * | group_description
| The human-readable description of the group. More...
int | class_id
| The class to which this group belongs. More...
const unsigned int | num_items
| The number of values in this group (size of item_desc) More...
const struct osmo_stat_item_desc * | item_desc
| Pointer to array of value names, length as per num_items. More...

## Detailed Description

Description of a statistics item group.

## Field Documentation

## class_id

int osmo_stat_item_group_desc::class_id

The class to which this group belongs.

Referenced by osmo_stat_item_handler().

## group_description

const char* osmo_stat_item_group_desc::group_description

The human-readable description of the group.

## group_name_prefix

const char* osmo_stat_item_group_desc::group_name_prefix

The prefix to the name of all values in this group.

Referenced by osmo_stat_item_get_group_by_name_idx(), osmo_stats_reporter_log_send_item(), and osmo_stats_reporter_statsd_send_item().

## item_desc

const struct osmo_stat_item_desc* osmo_stat_item_group_desc::item_desc

Pointer to array of value names, length as per num_items.

Referenced by osmo_stat_item_get_by_name().

## num_items

const unsigned int osmo_stat_item_group_desc::num_items

The number of values in this group (size of item_desc)

Referenced by osmo_stat_item_for_each_item(), and osmo_stat_item_get_by_name().

The documentation for this struct was generated from the following file:

- include/osmocom/core/stat_item.h